Submit Recipe Job
Developing
Submits an asynchronous recipe job for one or more images. Returns a job_id which can be used to poll for status and fetch results. Request
Provide your bearer token in the Authorization
header when making requests to protected resources. Example:Authorization: Bearer ********************
Body Params application/jsonRequired
{
"type": "RECIPE",
"data": {
"recipe_ids": [
"rcp_2i0rou50so9o"
],
"asset_detail": [
{
"url": "https://cdn.shopify.com/s/files/1/0812/3318/2956/files/3F63900_WOD_16520.jpg?v=1781269567",
"meta_data": {
"product_id": "gid://shopify/Product/9282906652908",
"image_id": "gid://shopify/MediaImage/37290835575020",
"product_name": "Max-Asset-testing"
}
}
]
}
}
Request Code Samples
curl --location 'https://us1-api.crop.photo/v1/job/submit' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"type": "RECIPE",
"data": {
"recipe_ids": [
"rcp_2i0rou50so9o"
],
"asset_detail": [
{
"url": "https://cdn.shopify.com/s/files/1/0812/3318/2956/files/3F63900_WOD_16520.jpg?v=1781269567",
"meta_data": {
"product_id": "gid://shopify/Product/9282906652908",
"image_id": "gid://shopify/MediaImage/37290835575020",
"product_name": "Max-Asset-testing"
}
}
]
}
}'
Responses
application/json
{
"id": "string",
"poll": "/v1/recipe/job/poll/{job_id}",
"result": "/v1/recipe/job/result/{job_id}",
"isQueueUnderLoad": true
}
Modified at 2026-06-25 08:48:13